AM263Px MCU+ SDK: CpswAle_PolicerMatchParams Struct Reference

| AM263Px MCU+ SDK 26.00.00 |

Data Fields
CpswAle_PolicerMatchParams Struct Reference
APIs for Networking modules » APIs for Enet LLD » Enet Forwarding Database (FDB) » CPSW Address Lookup Engine (ALE)

## Detailed Description

ALE classifier/policer match parameters.

## Data Fields
uint32_t | policerMatchEnMask
uint32_t | portNum
bool | portIsTrunk
uint32_t | priority
CpswAle_OuiEntryInfo | ouiInfo
CpswAle_MacAddrClassifierInfo | srcMacAddrInfo
CpswAle_MacAddrClassifierInfo | dstMacAddrInfo
uint32_t | ivlanId
uint32_t | ovlanId
uint16_t | etherType
CpswAle_IpAddrClassifierInfo | srcIpInfo
CpswAle_IpAddrClassifierInfo | dstIpInfo

## Field Documentation

## ◆ policerMatchEnMask

uint32_t CpswAle_PolicerMatchParams::policerMatchEnMask

Bitmask selecting classifier types to enable.

See also
  ALE classifier match types

## ◆ portNum

uint32_t CpswAle_PolicerMatchParams::portNum

Port number to match. Must be valid if bit CPSW_ALE_POLICER_MATCH_PORT in policerMatchEnMask is set

## ◆ portIsTrunk

bool CpswAle_PolicerMatchParams::portIsTrunk

Flag indicating port number is a trunk group

## ◆ priority

uint32_t CpswAle_PolicerMatchParams::priority

Received packet priority to match. Must be valid if bit CPSW_ALE_POLICER_MATCH_PRIORITY in policerMatchEnMask is set

## ◆ ouiInfo

CpswAle_OuiEntryInfo CpswAle_PolicerMatchParams::ouiInfo

OUI address to match. Must be valid if bit CPSW_ALE_POLICER_MATCH_OUI in policerMatchEnMask is set

## ◆ srcMacAddrInfo

CpswAle_MacAddrClassifierInfo CpswAle_PolicerMatchParams::srcMacAddrInfo

Source MAC address to match. Must be valid if bit CPSW_ALE_POLICER_MATCH_MACSRC in policerMatchEnMask is set

## ◆ dstMacAddrInfo

CpswAle_MacAddrClassifierInfo CpswAle_PolicerMatchParams::dstMacAddrInfo

Destination MAC address to match. Must valid if bit CPSW_ALE_POLICER_MATCH_MACDST in policerMatchEnMask is set

## ◆ ivlanId

uint32_t CpswAle_PolicerMatchParams::ivlanId

Inner VLAN ID to match. Must be valid if bit CPSW_ALE_POLICER_MATCH_IVLAN in policerMatchEnMask is set

## ◆ ovlanId

uint32_t CpswAle_PolicerMatchParams::ovlanId

Outer VLAN ID to match. Must be valid if bit CPSW_ALE_POLICER_MATCH_OVLAN in policerMatchEnMask is set

## ◆ etherType

uint16_t CpswAle_PolicerMatchParams::etherType

Frame EtherType to match. Must be valid if bit CPSW_ALE_POLICER_MATCH_ETHERTYPE in policerMatchEnMask is set

## ◆ srcIpInfo

CpswAle_IpAddrClassifierInfo CpswAle_PolicerMatchParams::srcIpInfo

Source IP address to match. Must be valid if bit CPSW_ALE_POLICER_MATCH_IPSRC in policerMatchEnMask is set

## ◆ dstIpInfo

CpswAle_IpAddrClassifierInfo CpswAle_PolicerMatchParams::dstIpInfo

Destination IP address to match. Must be valid if bit CPSW_ALE_POLICER_MATCH_IPDST in policerMatchEnMask is set